Skip to content

List all collection resources

Request

Beta
OAuth 2.0 scope:
  • okta.governance.collections.read
Admin roles:
  • APP_ADMIN

Lists all the resources in a given collection. Use the include query parameter to return additional properties such as counts.

Path
collectionIdstringrequired

Unique identifier for the collection

Query
includeArray of strings

The include query parameter returns additional properties in the response.

Items ValueDescription
counts

Returns resourceConfiguration.counts in the response

Example:include=counts
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
GET
/governance/api/v2/collections/{collectionId}/resources
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/collections/{collectionId}/resources?include=counts&limit=20&after=00u68w6vzKLultXS97g6'

Responses

A successful collection resources list response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(collection-resource-full-v2)
metadataobject(list-metadata)

Metadata for the list response

Response
List showing various resource types (apps with entitlements, apps with push groups, direct apps, groups with push mappings, groups).
{ "data": [ {}, {}, {}, {}, {} ], "_links": { "self": {} }, "metadata": { "count": 5 } }